Package org.pentaho.reporting.libraries.resourceloader.loader.raw

## Class RawResourceData

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.loader.raw.RawResourceData

- All Implemented Interfaces:
    `ResourceData`

      public class RawResourceData
      extends java.lang.Object
      implements ResourceData

  Creation-Date: 12.04.2006, 15:06:48
  Author:
    Thomas Morgner

- - ### Field Summary

    - ### Fields inherited from interface org.pentaho.reporting.libraries.resourceloader.ResourceData

      `CONTENT_LENGTH, CONTENT_TYPE, FILENAME`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RawResourceData​(ResourceKey rawKey)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getAttribute​(java.lang.String key)` | We do not support attributes.
    `ResourceKey` | `getKey()` |
    `long` | `getLength()` |
    `byte[]` | `getResource​(ResourceManager caller)` | This is dangerous, especially if the resource is large.
    `int` | `getResource​(ResourceManager caller, byte[] target, long offset, int length)` | Tries to read data into the given byte-array.
    `java.io.InputStream` | `getResourceAsStream​(ResourceManager caller)` |
    `long` | `getVersion​(ResourceManager caller)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RawResourceData

          public RawResourceData​(ResourceKey rawKey)

  - ### Method Detail

    - #### getResource

          public byte[] getResource​(ResourceManager caller)
                             throws ResourceLoadingException

      Description copied from interface: `ResourceData`
      This is dangerous, especially if the resource is large.
      Specified by:
        `getResource` in interface `ResourceData`
      Returns:
      Throws:
        `ResourceLoadingException`

    - #### getLength

          public long getLength()

      Specified by:
        `getLength` in interface `ResourceData`

    - #### getResourceAsStream

          public java.io.InputStream getResourceAsStream​(ResourceManager caller)
                                                  throws ResourceLoadingException

      Specified by:
        `getResourceAsStream` in interface `ResourceData`
      Throws:
        `ResourceLoadingException`

    - #### getResource

          public int getResource​(ResourceManager caller,
                                 byte[] target,
                                 long offset,
                                 int length)
                          throws ResourceLoadingException

      Tries to read data into the given byte-array.
      Specified by:
        `getResource` in interface `ResourceData`
      Parameters:
        `caller` -
        `target` -
        `offset` -
        `length` -
      Returns:
        the number of bytes read or -1 if no more data can be read.
      Throws:
        `ResourceLoadingException`

    - #### getAttribute

          public java.lang.Object getAttribute​(java.lang.String key)

      We do not support attributes.
      Specified by:
        `getAttribute` in interface `ResourceData`
      Parameters:
        `key` -
      Returns:

    - #### getKey

          public ResourceKey getKey()

      Specified by:
        `getKey` in interface `ResourceData`

    - #### getVersion

          public long getVersion​(ResourceManager caller)
                          throws ResourceLoadingException

      Specified by:
        `getVersion` in interface `ResourceData`
      Throws:
        `ResourceLoadingException`